diff --git a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
index bdc4e186657a..66959f00f029 100644
--- a/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
+++ b/drivers/gpu/drm/rockchip/ebc-dev/ebc_dev_v8.S
@@ -7345,661 +7318,629 @@ ebc_probe:
 	stp	xzr, xzr, [x0, 176]
 	stp	xzr, xzr, [x0, 192]
 	.loc 4 43 0
-	str	x1, [x19, 400]
+	str	x1, [x20, 400]
 	.loc 4 45 0
 	bl	wakeup_source_add
-.LVL597:
-.LBE1737:
-.LBE1741:
-	.loc 1 2230 0
-	str	wzr, [x21, 424]
-	.loc 1 2233 0
+.LVL610:
+.LBE1728:
+.LBE1732:
+	.loc 1 2236 0
+	str	wzr, [x19, 424]
+	.loc 1 2239 0
 	mov	x4, 0
 	mov	x3, 0
 	mov	w2, 0
-	mov	x0, x25
+	mov	x0, x24
 	adrp	x1, ebc_vdd_power_timeout
 	add	x1, x1, :lo12:ebc_vdd_power_timeout
 	bl	init_timer_key
-.LVL598:
-	.loc 1 2234 0
+.LVL611:
+	.loc 1 2240 0
 	ldr	x1, [x26, #:lo12:jiffies]
-	mov	x0, x25
-	.loc 1 2237 0
-	add	x25, x19, 672
-	.loc 1 2234 0
+	mov	x0, x24
+	.loc 1 2243 0
+	add	x24, x20, 672
+	.loc 1 2240 0
 	add	x1, x1, x27
 	bl	mod_timer
-.LVL599:
-	.loc 1 2237 0
+.LVL612:
+	.loc 1 2243 0
 	mov	x4, 0
 	mov	x3, 0
 	mov	w2, 0
-	mov	x0, x25
+	mov	x0, x24
 	adrp	x1, ebc_frame_timeout
 	add	x1, x1, :lo12:ebc_frame_timeout
 	bl	init_timer_key
-.LVL600:
-	.loc 1 2238 0
+.LVL613:
+	.loc 1 2244 0
 	ldr	x1, [x26, #:lo12:jiffies]
-	mov	x0, x25
+	mov	x0, x24
 	add	x1, x1, x27
 	bl	mod_timer
-.LVL601:
-.LBE1731:
-.LBE1730:
-.LBB1742:
-.LBB1743:
-	.loc 1 2248 0
+.LVL614:
+.LBE1722:
+.LBE1721:
+.LBB1733:
+.LBB1734:
+	.loc 1 2254 0
 	adrp	x0, saved_command_line
-	adrp	x1, .LC45
-	.loc 1 2245 0
+	adrp	x1, .LC47
+	.loc 1 2251 0
 	stp	wzr, wzr, [x29, 100]
-.LVL602:
-	.loc 1 2248 0
-	add	x1, x1, :lo12:.LC45
-	ldr	x25, [x0, #:lo12:saved_command_line]
-	mov	x0, x25
+.LVL615:
+	.loc 1 2254 0
+	add	x1, x1, :lo12:.LC47
+	ldr	x24, [x0, #:lo12:saved_command_line]
+	mov	x0, x24
 	bl	strstr
-.LVL603:
-	.loc 1 2249 0
-	adrp	x1, .LC46
-	.loc 1 2248 0
+.LVL616:
+	.loc 1 2255 0
+	adrp	x1, .LC48
+	.loc 1 2254 0
 	mov	x26, x0
-.LVL604:
-	.loc 1 2249 0
-	add	x1, x1, :lo12:.LC46
-	mov	x0, x25
+.LVL617:
+	.loc 1 2255 0
+	add	x1, x1, :lo12:.LC48
+	mov	x0, x24
 	bl	strstr
-.LVL605:
+.LVL618:
 	mov	x28, x0
-.LVL606:
-	.loc 1 2254 0
-	cbz	x26, .L618
-	.loc 1 2255 0
+.LVL619:
+	.loc 1 2260 0
+	cbz	x26, .L623
+	.loc 1 2261 0
 	add	x2, x29, 100
-	adrp	x1, .LC47
+	adrp	x1, .LC49
 	mov	x0, x26
-	add	x1, x1, :lo12:.LC47
+	add	x1, x1, :lo12:.LC49
 	bl	sscanf
-.LVL607:
-	.loc 1 2256 0
+.LVL620:
+	.loc 1 2262 0
 	ldr	w2, [x29, 100]
-	ldr	x0, [x19, 184]
+	ldr	x0, [x20, 184]
 	cmp	x0, x2, uxtw
-	bls	.L691
-.L618:
-	.loc 1 2268 0
-	mov	w25, 0
-.LVL608:
+	bls	.L699
+.L623:
+	.loc 1 2274 0
+	mov	w24, 0
+.LVL621:
 	mov	x27, 0
-.LVL609:
-	.loc 1 2252 0
+.LVL622:
+	.loc 1 2258 0
 	mov	x26, 0
-.LVL610:
-	.loc 1 2268 0
-	cbz	x28, .L638
-.LVL611:
-.L637:
-	.loc 1 2269 0
+.LVL623:
+	.loc 1 2274 0
+	cbz	x28, .L643
+.LVL624:
+.L642:
+	.loc 1 2275 0
 	add	x2, x29, 104
 	mov	x0, x28
-	adrp	x1, .LC50
-	add	x1, x1, :lo12:.LC50
+	adrp	x1, .LC52
+	add	x1, x1, :lo12:.LC52
 	bl	sscanf
-.LVL612:
-	.loc 1 2247 0
+.LVL625:
+	.loc 1 2253 0
 	mov	w28, 0
-.LVL613:
-	.loc 1 2270 0
+.LVL626:
+	.loc 1 2276 0
 	ldr	w2, [x29, 104]
-	.loc 1 2252 0
+	.loc 1 2258 0
 	mov	x26, 0
-.LVL614:
-	.loc 1 2270 0
-	ldr	x0, [x19, 184]
+.LVL627:
+	.loc 1 2276 0
+	ldr	x0, [x20, 184]
 	cmp	x0, x2, uxtw
-	bls	.L692
-.L622:
-	.loc 1 2282 0
-	cbnz	w25, .L621
-.LVL615:
-.L638:
-	.loc 1 2283 0
-	ldr	x0, [x21, 88]
-	adrp	x1, .LC53
-	add	x1, x1, :lo12:.LC53
+	bls	.L700
+.L627:
+	.loc 1 2288 0
+	cbnz	w24, .L626
+.LVL628:
+.L643:
+	.loc 1 2289 0
+	ldr	x0, [x19, 88]
+	adrp	x1, .LC55
+	add	x1, x1, :lo12:.LC55
 	bl	_dev_info
-.LVL616:
-	.loc 1 2284 0
-	ldr	x0, [x19, 16]
+.LVL629:
+	.loc 1 2290 0
+	ldr	x0, [x20, 16]
 	bl	ebc_pmic_verity_vcom
-.LVL617:
-.LBB1744:
-.LBB1745:
-	.loc 1 1628 0
+.LVL630:
+.LBB1735:
+.LBB1736:
+	.loc 1 1634 0
 	bl	ebc_empty_buf_get
-.LVL618:
-	mov	x25, x0
-.LVL619:
-	.loc 1 1629 0
-	ldp	w2, w0, [x19, 108]
+.LVL631:
+	mov	x24, x0
+.LVL632:
+	.loc 1 1635 0
+	ldp	w2, w0, [x20, 108]
 	mov	w1, 255
 	mul	w2, w2, w0
-	ldr	x0, [x25, 16]
+	ldr	x0, [x24, 16]
 	lsr	w2, w2, 1
 	bl	memset
-.LVL620:
-	.loc 1 1632 0
-	stp	wzr, wzr, [x25, 48]
-	.loc 1 1630 0
+.LVL633:
+	.loc 1 1638 0
+	stp	wzr, wzr, [x24, 48]
+	.loc 1 1636 0
 	mov	w0, 17
-	str	w0, [x25, 40]
-	.loc 1 1635 0
-	mov	x0, x25
-	.loc 1 1633 0
-	ldr	w1, [x19, 108]
-	str	w1, [x25, 56]
-	.loc 1 1634 0
-	ldr	w1, [x19, 112]
-	str	w1, [x25, 60]
-	.loc 1 1635 0
+	str	w0, [x24, 40]
+	.loc 1 1641 0
+	mov	x0, x24
+	.loc 1 1639 0
+	ldr	w1, [x20, 108]
+	str	w1, [x24, 56]
+	.loc 1 1640 0
+	ldr	w1, [x20, 112]
+	str	w1, [x24, 60]
+	.loc 1 1641 0
 	bl	ebc_add_to_dsp_buf_list
-.LVL621:
-.L624:
-.LBE1745:
-.LBE1744:
-	.loc 1 2301 0
-	cbnz	w28, .L693
-.L626:
-	.loc 1 2314 0
-	ldr	w0, [x21, 80]
-	adrp	x22, .LANCHOR1
-	cbz	w0, .L694
-.L628:
-	.loc 1 2319 0
-	cbz	x27, .L629
+.LVL634:
+.L629:
+.LBE1736:
+.LBE1735:
+	.loc 1 2307 0
+	cbnz	w28, .L701
+.L631:
 	.loc 1 2320 0
+	ldr	w0, [x19, 80]
+	adrp	x21, .LANCHOR1
+	cbz	w0, .L702
+.L633:
+	.loc 1 2325 0
+	cbz	x27, .L634
+	.loc 1 2326 0
 	mov	x0, x27
 	bl	kfree
-.LVL622:
-.L629:
-	.loc 1 2321 0
-	cbz	x26, .L620
-	.loc 1 2322 0
+.LVL635:
+.L634:
+	.loc 1 2327 0
+	cbz	x26, .L625
+	.loc 1 2328 0
 	mov	x0, x26
 	bl	kfree
-.LVL623:
-.L620:
-.LBE1743:
-.LBE1742:
-.LBB1755:
-.LBB1756:
-.LBB1757:
-	.loc 2 1186 0
-	str	x19, [x20, 184]
-.LBE1757:
-.LBE1756:
-.LBE1755:
-.LBB1758:
-.LBB1759:
-	.loc 1 2065 0
-	add	x22, x22, :lo12:.LANCHOR1
-	add	x0, x22, 224
-	bl	misc_register
-.LVL624:
-	.loc 1 2067 0
-	ldr	x0, [x19, 272]
-	add	x1, x22, 400
-	bl	device_create_file
-.LVL625:
-	.loc 1 2068 0
-	ldr	x0, [x19, 272]
-	add	x1, x22, 432
-	bl	device_create_file
-.LVL626:
-	.loc 1 2069 0
-	ldr	x0, [x19, 272]
-	add	x1, x22, 464
-	bl	device_create_file
-.LVL627:
-	.loc 1 2070 0
-	ldr	x0, [x19, 272]
-	add	x1, x22, 496
-	bl	device_create_file
-.LVL628:
-	.loc 1 2071 0
-	ldr	x0, [x19, 272]
-	add	x1, x22, 528
-	bl	device_create_file
-.LVL629:
-	.loc 1 2072 0
-	ldr	x0, [x19, 272]
-	add	x1, x22, 560
-	bl	device_create_file
-.LVL630:
-	.loc 1 2073 0
-	ldr	x0, [x19, 272]
-	add	x1, x22, 592
-	bl	device_create_file
-.LVL631:
-.LBE1759:
-.LBE1758:
-	.loc 1 2431 0
-	ldr	x0, [x21, 88]
-	adrp	x2, .LC16
-	adrp	x1, .LC54
-	add	x2, x2, :lo12:.LC16
-	add	x1, x1, :lo12:.LC54
-	bl	_dev_info
-.LVL632:
-	.loc 1 2433 0
-	b	.L595
-.LVL633:
-	.p2align 3
-.L691:
-.LBB1760:
-.LBB1752:
-	.loc 1 2258 0
-	ldr	x0, [x21, 88]
-	adrp	x1, .LC48
-	add	x1, x1, :lo12:.LC48
-	bl	_dev_info
-.LVL634:
-	.loc 1 2259 0
-	ldp	w0, w1, [x22, 84]
-	mul	w0, w0, w1
-.LBB1746:
+.LVL636:
+.L625:
+.LBE1734:
+.LBE1733:
 .LBB1747:
 .LBB1748:
-	.file 18 "./include/linux/slab.h"
-	.loc 18 553 0
-	mov	w1, 32960
-	movk	w1, 0x60, lsl 16
-	lsr	w0, w0, 1
-	bl	__kmalloc
-.LVL635:
-	mov	x27, x0
-.LVL636:
+.LBB1749:
+	.loc 2 1186 0
+	str	x20, [x22, 184]
+.LBE1749:
 .LBE1748:
 .LBE1747:
-.LBE1746:
-	.loc 1 2260 0
-	cbz	x0, .L695
-	.loc 1 2264 0
-	ldp	w2, w1, [x22, 84]
-	ldr	x3, [x19, 184]
-	mul	w2, w2, w1
-	ldr	w1, [x29, 100]
+.LBB1750:
+.LBB1751:
+	.loc 1 2071 0
+	add	x21, x21, :lo12:.LANCHOR1
+	add	x0, x21, 224
+	bl	misc_register
 .LVL637:
-	sub	x1, x1, x3
+	.loc 1 2073 0
+	ldr	x0, [x20, 272]
+	add	x1, x21, 400
+	bl	device_create_file
 .LVL638:
-	ldr	x3, [x21, 8]
-	lsr	w2, w2, 1
-	add	x1, x3, x1
-	bl	memcpy
+	.loc 1 2074 0
+	ldr	x0, [x20, 272]
+	add	x1, x21, 432
+	bl	device_create_file
 .LVL639:
-	.loc 1 2268 0
-	cbnz	x28, .L696
-	.loc 1 2247 0
-	mov	w28, 0
+	.loc 1 2075 0
+	ldr	x0, [x20, 272]
+	add	x1, x21, 464
+	bl	device_create_file
 .LVL640:
-	.loc 1 2252 0
-	mov	x26, 0
+	.loc 1 2076 0
+	ldr	x0, [x20, 272]
+	add	x1, x21, 496
+	bl	device_create_file
 .LVL641:
-.L621:
-	.loc 1 2289 0
-	bl	ebc_empty_buf_get
+	.loc 1 2077 0
+	ldr	x0, [x20, 272]
+	add	x1, x21, 528
+	bl	device_create_file
 .LVL642:
-	mov	x25, x0
+	.loc 1 2078 0
+	ldr	x0, [x20, 272]
+	add	x1, x21, 560
+	bl	device_create_file
 .LVL643:
-	.loc 1 2290 0
-	cbz	x0, .L624
-	.loc 1 2291 0
-	ldp	w2, w0, [x22, 84]
-	mov	x1, x27
-	mul	w2, w2, w0
-	ldr	x0, [x25, 16]
-	lsr	w2, w2, 1
-	bl	memcpy
+	.loc 1 2079 0
+	ldr	x0, [x20, 272]
+	add	x1, x21, 592
+	bl	device_create_file
 .LVL644:
-	.loc 1 2294 0
-	stp	wzr, wzr, [x25, 48]
-	.loc 1 2292 0
-	mov	w0, 7
-	str	w0, [x25, 40]
-	.loc 1 2297 0
-	mov	x0, x25
-	.loc 1 2295 0
-	ldr	w1, [x22, 84]
-	str	w1, [x25, 56]
-	.loc 1 2296 0
-	ldr	w1, [x22, 88]
-	str	w1, [x25, 60]
-	.loc 1 2297 0
-	bl	ebc_add_to_dsp_buf_list
+.LBE1751:
+.LBE1750:
+	.loc 1 2457 0
+	ldr	x0, [x19, 88]
+	adrp	x2, .LC16
+	adrp	x1, .LC56
+	add	x2, x2, :lo12:.LC16
+	add	x1, x1, :lo12:.LC56
+	bl	_dev_info
 .LVL645:
-	b	.L624
+	.loc 1 2459 0
+	b	.L595
 .LVL646:
-	.p2align 3
-.L694:
-	.loc 1 2315 0
+.L702:
+.LBB1752:
+.LBB1743:
+	.loc 1 2321 0
 	mov	w2, 1
-	str	w2, [x21, 80]
-	.loc 1 2316 0
-	add	x0, x22, :lo12:.LANCHOR1
+	str	w2, [x19, 80]
+	.loc 1 2322 0
+	add	x0, x21, :lo12:.LANCHOR1
 	mov	w1, w2
 	add	x0, x0, 304
 	bl	__wake_up_sync
 .LVL647:
-	b	.L628
+	b	.L633
 .LVL648:
-	.p2align 3
-.L692:
-	.loc 1 2272 0
-	ldr	x0, [x21, 88]
-	adrp	x1, .LC51
-	add	x1, x1, :lo12:.LC51
+.L699:
+	.loc 1 2264 0
+	ldr	x0, [x19, 88]
+	adrp	x1, .LC50
+	add	x1, x1, :lo12:.LC50
 	bl	_dev_info
 .LVL649:
-	.loc 1 2273 0
-	ldp	w0, w1, [x22, 84]
+	.loc 1 2265 0
+	ldp	w0, w1, [x21, 84]
 	mul	w0, w0, w1
-.LBB1749:
-.LBB1750:
-.LBB1751:
+.LBB1737:
+.LBB1738:
+.LBB1739:
+	.file 18 "./include/linux/slab.h"
 	.loc 18 553 0
 	mov	w1, 32960
 	movk	w1, 0x60, lsl 16
 	lsr	w0, w0, 1
 	bl	__kmalloc
 .LVL650:
-	mov	x26, x0
-.LBE1751:
-.LBE1750:
-.LBE1749:
-	.loc 1 2274 0
-	cbz	x0, .L697
-	.loc 1 2278 0
-	ldp	w2, w1, [x22, 84]
-	.loc 1 2271 0
-	mov	w28, 1
-	.loc 1 2278 0
-	ldr	x3, [x19, 184]
-	mul	w2, w2, w1
-	ldr	w1, [x29, 104]
+	mov	x27, x0
 .LVL651:
-	sub	x1, x1, x3
+.LBE1739:
+.LBE1738:
+.LBE1737:
+	.loc 1 2266 0
+	cbz	x0, .L703
+	.loc 1 2270 0
+	ldp	w2, w1, [x21, 84]
+	ldr	x3, [x20, 184]
+	mul	w2, w2, w1
+	ldr	w1, [x29, 100]
 .LVL652:
-	ldr	x3, [x21, 8]
+	sub	x1, x1, x3
+.LVL653:
+	ldr	x3, [x19, 8]
 	lsr	w2, w2, 1
 	add	x1, x3, x1
 	bl	memcpy
-.LVL653:
-	b	.L622
 .LVL654:
-	.p2align 3
-.L612:
-.LBE1752:
-.LBE1760:
-.LBB1761:
-.LBB1698:
-	.loc 1 2147 0
-	mov	w24, -12
-	b	.L609
+	.loc 1 2274 0
+	cbnz	x28, .L704
+	.loc 1 2253 0
+	mov	w28, 0
 .LVL655:
-	.p2align 3
-.L693:
-.LBE1698:
-.LBE1761:
-.LBB1762:
-.LBB1753:
-	.loc 1 2302 0
-	bl	ebc_empty_buf_get
+	.loc 1 2258 0
+	mov	x26, 0
 .LVL656:
-	mov	x25, x0
+.L626:
+	.loc 1 2295 0
+	bl	ebc_empty_buf_get
 .LVL657:
-	.loc 1 2303 0
-	cbz	x0, .L626
-	.loc 1 2304 0
-	ldp	w2, w0, [x22, 84]
-	mov	x1, x26
+	mov	x24, x0
+.LVL658:
+	.loc 1 2296 0
+	cbz	x0, .L629
+	.loc 1 2297 0
+	ldp	w2, w0, [x21, 84]
+	mov	x1, x27
 	mul	w2, w2, w0
-	ldr	x0, [x25, 16]
+	ldr	x0, [x24, 16]
 	lsr	w2, w2, 1
 	bl	memcpy
-.LVL658:
-	.loc 1 2307 0
-	stp	wzr, wzr, [x25, 48]
-	.loc 1 2305 0
+.LVL659:
+	.loc 1 2300 0
+	stp	wzr, wzr, [x24, 48]
+	.loc 1 2298 0
 	mov	w0, 7
-	str	w0, [x25, 40]
-	.loc 1 2308 0
-	ldr	w0, [x22, 84]
-	str	w0, [x25, 56]
-	.loc 1 2310 0
-	mov	x0, x25
-	.loc 1 2309 0
-	ldr	w1, [x22, 88]
-	str	w1, [x25, 60]
-	.loc 1 2310 0
+	str	w0, [x24, 40]
+	.loc 1 2303 0
+	mov	x0, x24
+	.loc 1 2301 0
+	ldr	w1, [x21, 84]
+	str	w1, [x24, 56]
+	.loc 1 2302 0
+	ldr	w1, [x21, 88]
+	str	w1, [x24, 60]
+	.loc 1 2303 0
 	bl	ebc_add_to_dsp_buf_list
-.LVL659:
-	b	.L626
 .LVL660:
-	.p2align 3
-.L689:
-.LBE1753:
-.LBE1762:
-.LBB1763:
-.LBB1707:
-	.loc 1 2108 0
-	ldr	x0, [x19, 272]
-	adrp	x1, .LC40
-	add	x1, x1, :lo12:.LC40
-	bl	_dev_err
+	b	.L629
 .LVL661:
-	.loc 1 2109 0
-	ldr	x0, [x19, 272]
-	mov	w2, w26
-	ldr	x1, [x19, 376]
-	bl	epd_lut_from_file_init
+.L700:
+	.loc 1 2278 0
+	ldr	x0, [x19, 88]
+	adrp	x1, .LC53
+	add	x1, x1, :lo12:.LC53
+	bl	_dev_info
 .LVL662:
-	.loc 1 2110 0
-	tbz	w0, #31, .L615
-	.loc 1 2111 0
-	ldr	x0, [x19, 272]
-	adrp	x1, .LC41
-	.loc 1 2112 0
-	mov	w24, -1
-	.loc 1 2111 0
-	add	x1, x1, :lo12:.LC41
-	bl	_dev_err
+	.loc 1 2279 0
+	ldp	w0, w1, [x21, 84]
+	mul	w0, w0, w1
+.LBB1740:
+.LBB1741:
+.LBB1742:
+	.loc 18 553 0
+	mov	w1, 32960
+	movk	w1, 0x60, lsl 16
+	lsr	w0, w0, 1
+	bl	__kmalloc
 .LVL663:
-	b	.L613
+	mov	x26, x0
+.LBE1742:
+.LBE1741:
+.LBE1740:
+	.loc 1 2280 0
+	cbz	x0, .L705
+	.loc 1 2284 0
+	ldp	w2, w1, [x21, 84]
+	.loc 1 2277 0
+	mov	w28, 1
+	.loc 1 2284 0
+	ldr	x3, [x20, 184]
+	mul	w2, w2, w1
+	ldr	w1, [x29, 104]
 .LVL664:
-	.p2align 3
-.L599:
-.LBE1707:
-.LBE1763:
-	.loc 1 2355 0
-	mov	w24, -517
-	b	.L595
+	sub	x1, x1, x3
 .LVL665:
-	.p2align 3
-.L690:
-.LBB1764:
-.LBB1728:
-	.loc 1 2200 0
-	ldr	x0, [x21, 88]
-	adrp	x1, .LC42
-	add	x1, x1, :lo12:.LC42
-	bl	_dev_err
+	ldr	x3, [x19, 8]
+	lsr	w2, w2, 1
+	add	x1, x3, x1
+	bl	memcpy
 .LVL666:
-.L616:
-.LBE1728:
-.LBE1764:
-	.loc 1 2416 0
-	adrp	x1, .LC74
-	mov	x0, x20
-	add	x1, x1, :lo12:.LC74
-	.loc 1 2417 0
-	mov	w24, -1
-	.loc 1 2416 0
-	bl	_dev_err
+	b	.L627
 .LVL667:
-	.loc 1 2417 0
+.L599:
+.LBE1743:
+.LBE1752:
+	.loc 1 2365 0
+	mov	w25, -517
 	b	.L595
 .LVL668:
-	.p2align 3
 .L617:
-.LBB1765:
-.LBB1729:
-	.loc 1 2209 0
-	ldr	x0, [x21, 88]
+.LBB1753:
+.LBB1690:
+	.loc 1 2153 0
+	mov	w25, -12
+	b	.L614
 .LVL669:
-	adrp	x1, .LC73
-	.loc 1 2207 0
-	str	x25, [x21, 120]
-	.loc 1 2209 0
-	add	x1, x1, :lo12:.LC73
-	bl	_dev_err
+.L701:
+.LBE1690:
+.LBE1753:
+.LBB1754:
+.LBB1744:
+	.loc 1 2308 0
+	bl	ebc_empty_buf_get
 .LVL670:
-	b	.L616
+	mov	x24, x0
 .LVL671:
-	.p2align 3
-.L640:
-.LBE1729:
-.LBE1765:
-	.loc 1 2341 0
-	mov	w24, -12
-	b	.L595
+	.loc 1 2309 0
+	cbz	x0, .L631
+	.loc 1 2310 0
+	ldp	w2, w0, [x21, 84]
+	mov	x1, x26
+	mul	w2, w2, w0
+	ldr	x0, [x24, 16]
+	lsr	w2, w2, 1
+	bl	memcpy
 .LVL672:
-	.p2align 3
-.L641:
-.LBB1766:
-.LBB1699:
-	.loc 1 2132 0
-	mov	w24, -19
-	b	.L609
+	.loc 1 2313 0
+	stp	wzr, wzr, [x24, 48]
+	.loc 1 2311 0
+	mov	w0, 7
+	str	w0, [x24, 40]
+	.loc 1 2314 0
+	ldr	w0, [x21, 84]
+	str	w0, [x24, 56]
+	.loc 1 2316 0
+	mov	x0, x24
+	.loc 1 2315 0
+	ldr	w1, [x21, 88]
+	str	w1, [x24, 60]
+	.loc 1 2316 0
+	bl	ebc_add_to_dsp_buf_list
 .LVL673:
-.L680:
-.LBE1699:
-.LBE1766:
-	.loc 1 2348 0
-	adrp	x1, .LC26
-	mov	x0, x20
-	add	x1, x1, :lo12:.LC26
-	.loc 1 2349 0
-	mov	w24, -19
-	.loc 1 2348 0
-	bl	_dev_err
+	b	.L631
 .LVL674:
-	.loc 1 2349 0
+.L645:
+.LBE1744:
+.LBE1754:
+	.loc 1 2351 0
+	mov	w25, -12
 	b	.L595
-.L683:
-	.loc 1 2376 0
-	adrp	x1, .LC30
-	mov	x0, x20
-	add	x1, x1, :lo12:.LC30
-	.loc 1 2377 0
-	mov	w24, -517
-	.loc 1 2376 0
-	bl	_dev_err
 .LVL675:
-	.loc 1 2377 0
-	b	.L595
-.L681:
-	.loc 1 2364 0
+.L600:
+	.loc 1 2375 0
 	adrp	x1, .LC28
-	mov	x0, x20
+	mov	x0, x22
 	add	x1, x1, :lo12:.LC28
-	.loc 1 2365 0
-	mov	w24, -19
-	.loc 1 2364 0
+	.loc 1 2376 0
+	mov	w25, -22
+	.loc 1 2375 0
 	bl	_dev_err
 .LVL676:
-	.loc 1 2365 0
+	.loc 1 2376 0
 	b	.L595
 .LVL677:
-.L642:
-.LBB1767:
-.LBB1708:
-	.loc 1 2089 0
-	mov	w24, -19
-	b	.L613
+.L697:
+.LBB1755:
+.LBB1699:
+	.loc 1 2114 0
+	ldr	x0, [x20, 272]
+	adrp	x1, .LC42
+	add	x1, x1, :lo12:.LC42
+	bl	_dev_err
 .LVL678:
-.L682:
-.LBE1708:
-.LBE1767:
-	.loc 1 2371 0
-	adrp	x1, .LC29
-	mov	x0, x20
+	.loc 1 2115 0
+	ldr	x0, [x20, 272]
+	mov	w2, w26
+	ldr	x1, [x20, 376]
+	bl	epd_lut_from_file_init
 .LVL679:
-	add	x1, x1, :lo12:.LC29
-	.loc 1 2372 0
-	mov	w24, -517
-	.loc 1 2371 0
+	.loc 1 2116 0
+	tbz	w0, #31, .L620
+	.loc 1 2117 0
+	ldr	x0, [x20, 272]
+	adrp	x1, .LC43
+	.loc 1 2118 0
+	mov	w25, -1
+	.loc 1 2117 0
+	add	x1, x1, :lo12:.LC43
 	bl	_dev_err
 .LVL680:
-	.loc 1 2372 0
-	b	.L595
+	b	.L618
+	.p2align 3
+.L698:
+.LBE1699:
+.LBE1755:
+.LBB1756:
+.LBB1719:
+	.loc 1 2206 0
+	ldr	x0, [x19, 88]
+	adrp	x1, .LC44
+	add	x1, x1, :lo12:.LC44
+	bl	_dev_err
 .LVL681:
-.L688:
-.LBB1768:
-.LBB1709:
-	.loc 1 2102 0
-	ldr	x0, [x19, 272]
-	adrp	x2, .LANCHOR3
-	add	x2, x2, :lo12:.LANCHOR3
-	adrp	x1, .LC39
-	mov	w3, 2102
-	add	x2, x2, 32
-	add	x1, x1, :lo12:.LC39
-	.loc 1 2103 0
-	mov	w24, -12
-	.loc 1 2102 0
+.L621:
+.LBE1719:
+.LBE1756:
+	.loc 1 2442 0
+	adrp	x1, .LC76
+	mov	x0, x22
+	add	x1, x1, :lo12:.LC76
+	.loc 1 2443 0
+	mov	w25, -1
+	.loc 1 2442 0
 	bl	_dev_err
 .LVL682:
-	b	.L613
+	.loc 1 2443 0
+	b	.L595
 .LVL683:
-.L687:
-.LBE1709:
-.LBE1768:
-	.loc 1 2434 0
-	bl	__stack_chk_fail
+.L622:
+.LBB1757:
+.LBB1720:
+	.loc 1 2215 0
+	ldr	x0, [x19, 88]
 .LVL684:
-.L697:
-.LBB1769:
-.LBB1754:
-	.loc 1 2275 0
-	ldr	x0, [x21, 88]
-.LVL685:
-	adrp	x1, .LC52
-	adrp	x22, .LANCHOR1
-	add	x1, x1, :lo12:.LC52
+	adrp	x1, .LC75
+	.loc 1 2213 0
+	str	x24, [x19, 120]
+	.loc 1 2215 0
+	add	x1, x1, :lo12:.LC75
 	bl	_dev_err
+.LVL685:
+	b	.L621
 .LVL686:
-	b	.L620
+.L690:
+.LBE1720:
+.LBE1757:
+	.loc 1 2358 0
+	adrp	x1, .LC26
+	mov	x0, x22
+	add	x1, x1, :lo12:.LC26
+	.loc 1 2359 0
+	mov	w25, -19
+	.loc 1 2358 0
+	bl	_dev_err
 .LVL687:
-.L695:
-	.loc 1 2261 0
-	ldr	x0, [x21, 88]
+	.loc 1 2359 0
+	b	.L595
 .LVL688:
-	adrp	x1, .LC49
-	adrp	x22, .LANCHOR1
-	add	x1, x1, :lo12:.LC49
-	bl	_dev_err
+.L646:
+.LBB1758:
+.LBB1691:
+	.loc 1 2138 0
+	mov	w25, -19
+	b	.L614
 .LVL689:
-	b	.L620
+.L647:
+.LBE1691:
+.LBE1758:
+.LBB1759:
+.LBB1700:
+	.loc 1 2095 0
+	mov	w25, -19
+	b	.L618
 .LVL690:
-.L696:
-	.loc 1 2257 0
-	mov	w25, 1
+.L705:
+.LBE1700:
+.LBE1759:
+.LBB1760:
+.LBB1745:
+	.loc 1 2281 0
+	ldr	x0, [x19, 88]
 .LVL691:
-	b	.L637
-.LBE1754:
-.LBE1769:
+	adrp	x1, .LC54
+	adrp	x21, .LANCHOR1
+	add	x1, x1, :lo12:.LC54
+	bl	_dev_err
+.LVL692:
+	b	.L625
+.LVL693:
+.L696:
+.LBE1745:
+.LBE1760:
+.LBB1761:
+.LBB1701:
+	.loc 1 2108 0
+	ldr	x0, [x20, 272]
+	adrp	x2, .LANCHOR3
+	add	x2, x2, :lo12:.LANCHOR3
+	adrp	x1, .LC41
+	mov	w3, 2108
+	add	x2, x2, 32
+	add	x1, x1, :lo12:.LC41
+	.loc 1 2109 0
+	mov	w25, -12
+	.loc 1 2108 0
+	bl	_dev_err
+.LVL694:
+	b	.L618
+.LVL695:
+.L693:
+.LBE1701:
+.LBE1761:
+	.loc 1 2460 0
+	bl	__stack_chk_fail
+.LVL696:
+.L704:
+.LBB1762:
+.LBB1746:
+	.loc 1 2263 0
+	mov	w24, 1
+.LVL697:
+	b	.L642
+.LVL698:
+.L703:
+	.loc 1 2267 0
+	ldr	x0, [x19, 88]
+.LVL699:
+	adrp	x1, .LC51
+	adrp	x21, .LANCHOR1
+	add	x1, x1, :lo12:.LC51
+	bl	_dev_err
+.LVL700:
+	b	.L625
+.LBE1746:
+.LBE1762:
 	.cfi_endproc
 .LFE2848:
 	.size	ebc_probe, .-ebc_probe
@@ -8010,7 +7951,7 @@ ebc_power_set.constprop.12:
 .LFB2866:
 	.loc 1 180 0
 	.cfi_startproc
-.LVL692:
+.LVL701:
 	stp	x29, x30, [sp, -32]!
 	.cfi_def_cfa_offset 32
 	.cfi_offset 29, -32
@@ -8026,45 +7967,45 @@ ebc_power_set.constprop.12:
 	mov	x19, x0
 	.loc 1 186 0
 	ldr	w0, [x20, 424]
-.LVL693:
-	cbz	w0, .L701
-.L699:
+.LVL702:
+	cbz	w0, .L709
+.L707:
 	.loc 1 190 0
 	mov	w1, 1
 	str	w1, [x20, 184]
 	.loc 1 191 0
 	ldr	x2, [x19, 16]
-.LBB1770:
-.LBB1771:
+.LBB1763:
+.LBB1764:
 	.loc 3 30 0
 	mov	x0, x2
 	ldr	x2, [x2, 32]
 	blr	x2
-.LVL694:
-.LBE1771:
-.LBE1770:
+.LVL703:
+.LBE1764:
+.LBE1763:
 	.loc 1 192 0
 	ldr	x2, [x19, 8]
-.LBB1772:
-.LBB1773:
+.LBB1765:
+.LBB1766:
 	.loc 11 46 0
 	add	x1, x19, 24
 	mov	x0, x2
 	ldr	x2, [x2, 48]
 	blr	x2
-.LVL695:
-.LBE1773:
-.LBE1772:
+.LVL704:
+.LBE1766:
+.LBE1765:
 	.loc 1 193 0
 	ldr	x0, [x19]
-	adrp	x1, .LC76
-	add	x1, x1, :lo12:.LC76
+	adrp	x1, .LC78
+	add	x1, x1, :lo12:.LC78
 	bl	_dev_info
-.LVL696:
+.LVL705:
 	.loc 1 208 0
 	mov	w0, 0
 	ldp	x19, x20, [sp, 16]
-.LVL697:
+.LVL706:
 	ldp	x29, x30, [sp], 32
 	.cfi_remember_state
 	.cfi_restore 30
@@ -8073,22 +8014,22 @@ ebc_power_set.constprop.12:
 	.cfi_restore 20
 	.cfi_def_cfa 31, 0
 	ret
-.LVL698:
+.LVL707:
 	.p2align 3
-.L701:
+.L709:
 	.cfi_restore_state
 	.loc 1 187 0
 	mov	w0, 1
 	str	w0, [x20, 424]
-.LBB1774:
-.LBB1775:
+.LBB1767:
+.LBB1768:
 	.loc 4 58 0
 	add	x0, x19, 400
 	bl	__pm_stay_awake
-.LVL699:
-	b	.L699
-.LBE1775:
-.LBE1774:
+.LVL708:
+	b	.L707
+.LBE1768:
+.LBE1767:
 	.cfi_endproc
 .LFE2866:
 	.size	ebc_power_set.constprop.12, .-ebc_power_set.constprop.12
@@ -8100,24 +8041,24 @@ refresh_new_image2:
 .LFB2807:
 	.loc 1 213 0
 	.cfi_startproc
-.LVL700:
+.LVL709:
 	.loc 1 220 0
 	ldp	w16, w5, [x4, 52]
-.LVL701:
+.LVL710:
 	cmp	w5, 0
 	add	w11, w5, 7
 	csel	w11, w11, w5, lt
-.LVL702:
+.LVL711:
 	.loc 1 222 0
 	cmp	w16, 0
 	.loc 1 220 0
 	asr	w11, w11, 3
-.LVL703:
+.LVL712:
 	.loc 1 222 0
-	ble	.L702
+	ble	.L710
 	sub	w14, w11, #1
 	mov	w15, 0
-.LVL704:
+.LVL713:
 	add	x14, x14, 1
 	.loc 1 267 0
 	mov	w13, 234881024
@@ -8125,92 +8066,92 @@ refresh_new_image2:
 	lsl	x14, x14, 2
 	.loc 1 273 0
 	mov	w12, -536870912
-.LVL705:
+.LVL714:
 	.p2align 2
-.L704:
+.L712:
 	.loc 1 223 0 discriminator 1
 	mov	x6, 0
 	cmp	w11, 0
-	bgt	.L725
-	b	.L722
-.LVL706:
+	bgt	.L733
+	b	.L730
+.LVL715:
 	.p2align 3
-.L705:
+.L713:
 	.loc 1 236 0
 	tst	x5, 65280
-	bne	.L706
+	bne	.L714
 	.loc 1 237 0
 	and	w10, w4, 240
 	cmp	w10, 224
-	beq	.L727
+	beq	.L735
 	.loc 1 240 0
 	orr	w7, w7, 240
-.L706:
+.L714:
 	.loc 1 242 0
 	tst	x5, 16711680
-	bne	.L708
+	bne	.L716
 	.loc 1 243 0
 	and	w10, w4, 3840
 	cmp	w10, 3584
-	beq	.L728
+	beq	.L736
 	.loc 1 246 0
 	orr	w7, w7, 3840
-.L708:
+.L716:
 	.loc 1 248 0
 	tst	x5, 4278190080
-	bne	.L710
+	bne	.L718
 	.loc 1 249 0
 	and	w10, w4, 61440
 	cmp	w10, 57344
-	beq	.L729
+	beq	.L737
 	.loc 1 252 0
 	orr	w7, w7, 61440
-.L710:
+.L718:
 	.loc 1 254 0
 	tst	x5, 1095216660480
-	bne	.L712
+	bne	.L720
 	.loc 1 255 0
 	and	w10, w4, 983040
 	cmp	w10, 917504
-	beq	.L730
+	beq	.L738
 	.loc 1 258 0
 	orr	w7, w7, 983040
-.L712:
+.L720:
 	.loc 1 260 0
 	tst	x5, 280375465082880
-	bne	.L714
+	bne	.L722
 	.loc 1 261 0
 	and	w10, w4, 15728640
 	cmp	w10, 14680064
-	beq	.L731
+	beq	.L739
 	.loc 1 264 0
 	orr	w7, w7, 15728640
-.L714:
+.L722:
 	.loc 1 266 0
 	tst	x5, 71776119061217280
-	bne	.L716
+	bne	.L724
 	.loc 1 267 0
 	and	w10, w4, 251658240
 	cmp	w10, w13
-	beq	.L732
+	beq	.L740
 	.loc 1 270 0
 	orr	w7, w7, 251658240
-.L716:
+.L724:
 	.loc 1 272 0
 	tst	x5, -72057594037927936
-	bne	.L718
+	bne	.L726
 	.loc 1 273 0
 	and	w5, w4, -268435456
-.LVL707:
+.LVL716:
 	cmp	w5, w12
-	beq	.L733
+	beq	.L741
 	.loc 1 276 0
 	orr	w7, w7, -268435456
-.LVL708:
-.L718:
+.LVL717:
+.L726:
 	.loc 1 280 0 discriminator 2
 	and	w4, w4, w9
-.LVL709:
+.LVL718:
 	eor	w4, w4, w8
 	and	w4, w4, w7
 	eor	w4, w8, w4
@@ -8219,54 +8160,54 @@ refresh_new_image2:
 	add	x6, x6, 1
 	.loc 1 223 0 discriminator 2
 	cmp	w11, w6
-	ble	.L734
-.LVL710:
-.L725:
+	ble	.L742
+.LVL719:
+.L733:
 	.loc 1 224 0
 	ldr	x5, [x3, x6, lsl 3]
 	.loc 1 228 0
 	mov	w7, 0
 	.loc 1 225 0
 	ldr	w4, [x1, x6, lsl 2]
-.LVL711:
+.LVL720:
 	.loc 1 226 0
 	ldr	w8, [x0, x6, lsl 2]
 	.loc 1 230 0
 	and	x10, x5, 255
 	.loc 1 227 0
 	ldr	w9, [x2, x6, lsl 2]
-.LVL712:
+.LVL721:
 	.loc 1 230 0
-	cbnz	x10, .L705
-.LVL713:
+	cbnz	x10, .L713
+.LVL722:
 	.loc 1 231 0
 	and	w10, w4, 15
 	.loc 1 234 0
 	mov	w7, 15
 	.loc 1 231 0
 	cmp	w10, 14
-	bne	.L705
+	bne	.L713
 	.loc 1 232 0
 	orr	w8, w8, w7
-.LVL714:
+.LVL723:
 	.loc 1 228 0
 	mov	w7, 0
-.LVL715:
-	b	.L705
+.LVL724:
+	b	.L713
 	.p2align 3
-.L732:
+.L740:
 	.loc 1 268 0
 	orr	w8, w8, 251658240
-	b	.L716
-.LVL716:
+	b	.L724
+.LVL725:
 	.p2align 3
-.L733:
+.L741:
 	.loc 1 274 0
 	orr	w8, w8, -268435456
-.LVL717:
+.LVL726:
 	.loc 1 280 0
 	and	w4, w4, w9
-.LVL718:
+.LVL727:
 	eor	w4, w4, w8
 	and	w4, w4, w7
 	eor	w4, w8, w4
@@ -8275,48 +8216,48 @@ refresh_new_image2:
 	add	x6, x6, 1
 	.loc 1 223 0
 	cmp	w11, w6
-	bgt	.L725
-.LVL719:
+	bgt	.L733
+.LVL728:
 	.p2align 2
-.L734:
+.L742:
 	add	x3, x3, x17
 	add	x1, x1, x14
 	add	x2, x2, x14
 	add	x0, x0, x14
-.LVL720:
-.L722:
+.LVL729:
+.L730:
 	.loc 1 222 0 discriminator 2
 	add	w15, w15, 1
 	cmp	w16, w15
-	bne	.L704
-.L702:
+	bne	.L712
+.L710:
 	ret
-.LVL721:
+.LVL730:
 	.p2align 3
-.L728:
+.L736:
 	.loc 1 244 0
 	orr	w8, w8, 3840
-	b	.L708
+	b	.L716
 	.p2align 3
-.L729:
+.L737:
 	.loc 1 250 0
 	orr	w8, w8, 61440
-	b	.L710
+	b	.L718
 	.p2align 3
-.L730:
+.L738:
 	.loc 1 256 0
 	orr	w8, w8, 983040
-	b	.L712
+	b	.L720
 	.p2align 3
-.L731:
+.L739:
 	.loc 1 262 0
 	orr	w8, w8, 15728640
-	b	.L714
+	b	.L722
 	.p2align 3
-.L727:
+.L735:
 	.loc 1 238 0
 	orr	w8, w8, 240
-	b	.L706
+	b	.L714
 	.cfi_endproc
 .LFE2807:
 	.size	refresh_new_image2, .-refresh_new_image2
@@ -8328,52 +8269,52 @@ refresh_new_image_auto:
 .LFB2808:
 	.loc 1 288 0
 	.cfi_startproc
-.LVL722:
+.LVL731:
 	.loc 1 295 0
 	ldp	w13, w4, [x3, 52]
 	cmp	w4, 0
 	add	w9, w4, 7
 	csel	w9, w9, w4, lt
-.LVL723:
+.LVL732:
 	.loc 1 297 0
 	cmp	w13, 0
 	.loc 1 295 0
 	asr	w9, w9, 3
-.LVL724:
+.LVL733:
 	.loc 1 297 0
-	ble	.L735
+	ble	.L743
 	sub	w12, w9, #1
 	mov	w11, 0
-.LVL725:
+.LVL734:
 	add	x12, x12, 1
 	.loc 1 305 0
 	mov	w10, 15
 	lsl	x14, x12, 3
 	lsl	x12, x12, 2
 	.p2align 2
-.L737:
+.L745:
 	.loc 1 298 0 discriminator 1
 	mov	x6, 0
 	cmp	w9, 0
-	ble	.L748
+	ble	.L756
 	.p2align 2
-.L750:
+.L758:
 	.loc 1 299 0
 	ldr	x4, [x2, x6, lsl 3]
-.LVL726:
+.LVL735:
 	.loc 1 301 0
 	ldr	w7, [x0, x6, lsl 2]
 	.loc 1 300 0
 	ldr	w3, [x1, x6, lsl 2]
-.LVL727:
+.LVL736:
 	.loc 1 304 0
 	and	x5, x4, 255
 	.loc 1 305 0
 	cmp	x5, 0
-.LVL728:
+.LVL737:
 	eor	w5, w3, w7
 	csel	w3, wzr, w10, ne
-.LVL729:
+.LVL738:
 	.loc 1 308 0
 	orr	w8, w3, 240
 	tst	x4, 65280
@@ -8401,10 +8342,10 @@ refresh_new_image_auto:
 	.loc 1 326 0
 	tst	x4, -72057594037927936
 	orr	w4, w3, -268435456
-.LVL730:
+.LVL739:
 	csel	w3, w4, w3, eq
 	and	w3, w5, w3
-.LVL731:
+.LVL740:
 	.loc 1 329 0
 	eor	w3, w3, w7
 	.loc 1 330 0
@@ -8412,17 +8353,17 @@ refresh_new_image_auto:
 	add	x6, x6, 1
 	.loc 1 298 0
 	cmp	w9, w6
-	bgt	.L750
+	bgt	.L758
 	add	x2, x2, x14
 	add	x1, x1, x12
 	add	x0, x0, x12
-.LVL732:
-.L748:
+.LVL741:
+.L756:
 	.loc 1 297 0 discriminator 2
 	add	w11, w11, 1
 	cmp	w13, w11
-	bne	.L737
-.L735:
+	bne	.L745
+.L743:
 	ret
 	.cfi_endproc
 .LFE2808:
@@ -8435,7 +8376,7 @@ new_buffer_refresh:
 .LFB2809:
 	.loc 1 336 0
 	.cfi_startproc
-.LVL733:
+.LVL742:
 	stp	x29, x30, [sp, -32]!
 	.cfi_def_cfa_offset 32
 	.cfi_offset 29, -32
@@ -8452,35 +8393,35 @@ new_buffer_refresh:
 	adrp	x20, .LANCHOR1
 	.loc 1 337 0
 	ldr	x19, [x1, #:lo12:.LANCHOR0]
-.LVL734:
+.LVL743:
 	.loc 1 340 0
 	add	x0, x20, :lo12:.LANCHOR1
-.LVL735:
+.LVL744:
 	add	x0, x0, 624
 	bl	down_write
-.LVL736:
+.LVL745:
 	.loc 1 338 0
 	add	x19, x19, 184
-.LVL737:
+.LVL746:
 	.loc 1 341 0
 	ldr	x0, [x19, 208]
 	ldr	w5, [x0, 40]
-	cbz	w5, .L756
+	cbz	w5, .L764
 	.loc 1 347 0
 	ldr	x1, [x0, 16]
 	mov	x4, x19
 	ldp	x2, x3, [x19, 144]
 	ldr	x0, [x19, 128]
 	bl	refresh_new_image2
-.LVL738:
+.LVL747:
 	.loc 1 352 0
 	add	x0, x20, :lo12:.LANCHOR1
 	add	x0, x0, 624
 	bl	up_write
-.LVL739:
+.LVL748:
 	.loc 1 353 0
 	ldp	x19, x20, [sp, 16]
-.LVL740:
+.LVL749:
 	ldp	x29, x30, [sp], 32
 	.cfi_remember_state
 	.cfi_restore 30
@@ -8489,9 +8430,9 @@ new_buffer_refresh:
 	.cfi_restore 20
 	.cfi_def_cfa 31, 0
 	ret
-.LVL741:
+.LVL750:
 	.p2align 3
-.L756:
+.L764:
 	.cfi_restore_state
 	.loc 1 342 0
 	ldr	x1, [x0, 16]
@@ -8499,15 +8440,15 @@ new_buffer_refresh:
 	ldr	x2, [x19, 152]
 	ldr	x0, [x19, 128]
 	bl	refresh_new_image_auto
-.LVL742:
+.LVL751:
 	.loc 1 352 0
 	add	x0, x20, :lo12:.LANCHOR1
 	add	x0, x0, 624
 	bl	up_write
-.LVL743:
+.LVL752:
 	.loc 1 353 0
 	ldp	x19, x20, [sp, 16]
-.LVL744:
+.LVL753:
 	ldp	x29, x30, [sp], 32
 	.cfi_restore 20
 	.cfi_restore 19
@@ -8525,7 +8466,7 @@ ebc_thread:
 .LFB2826:
 	.loc 1 1324 0
 	.cfi_startproc
-.LVL745:
+.LVL754:
 	stp	x29, x30, [sp, -224]!
 	.cfi_def_cfa_offset 224
 	.cfi_offset 29, -224
@@ -8546,19 +8487,19 @@ ebc_thread:
 	adrp	x21, .LANCHOR1
 	.loc 1 1325 0
 	ldr	x20, [x1, #:lo12:.LANCHOR0]
-.LVL746:
+.LVL755:
 	.loc 1 1324 0
 	add	x0, x22, :lo12:__stack_chk_guard
-.LVL747:
+.LVL756:
 	stp	x25, x26, [sp, 64]
-.LBB1798:
-.LBB1799:
-.LBB1800:
-	.loc 1 1616 0
+.LBB1791:
+.LBB1792:
+.LBB1793:
+	.loc 1 1622 0
 	add	x21, x21, :lo12:.LANCHOR1
-.LBE1800:
-.LBE1799:
-.LBE1798:
+.LBE1793:
+.LBE1792:
+.LBE1791:
 	.loc 1 1324 0
 	stp	x27, x28, [sp, 80]
 	.cfi_offset 23, -176
@@ -8569,82 +8510,186 @@ ebc_thread:
 	.cfi_offset 28, -136
 	.loc 1 1326 0
 	add	x24, x20, 184
-.LBB1805:
-.LBB1803:
-.LBB1801:
-	.loc 1 1616 0
+.LBB1798:
+.LBB1796:
+.LBB1794:
+	.loc 1 1622 0
 	add	x19, x21, 304
-.LBE1801:
-.LBE1803:
-.LBE1805:
+.LBE1794:
+.LBE1796:
+.LBE1798:
 	.loc 1 1329 0
 	mov	w23, 0
-.LVL748:
+.LVL757:
 	.loc 1 1324 0
 	ldr	x1, [x0]
 	str	x1, [x29, 216]
 	mov	x1,0
-.LVL749:
+.LVL758:
 	.p2align 2
-.L758:
+.L766:
 	.loc 1 1334 0
 	ldr	w0, [x24, 600]
-.LVL750:
-	cbnz	w0, .L886
-.L759:
+.LVL759:
+	cbnz	w0, .L895
+.L767:
 	.loc 1 1340 0
 	bl	ebc_dsp_buf_get
-.LVL751:
+.LVL760:
 	mov	x28, x0
 	.loc 1 1342 0
-	cbz	x0, .L761
+	cbz	x0, .L769
 	.loc 1 1342 0 is_stmt 0 discriminator 1
 	ldr	x1, [x0, 8]
-	cbz	x1, .L761
+	cbz	x1, .L769
 	.loc 1 1343 0 is_stmt 1
 	ldr	w1, [x0, 40]
 	cmp	w1, 20
-	beq	.L887
+	beq	.L896
 	.loc 1 1347 0
 	ldr	x2, [x24, 592]
-	cbz	x2, .L764
+	cbz	x2, .L772
 	.loc 1 1348 0
 	cmp	w1, 19
+	beq	.L897
+	.loc 1 1353 0
+	mov	w2, 18
+	tst	w1, w2
 	beq	.L888
-.L879:
-	.loc 1 1405 0
-	bl	ebc_remove_from_dsp_buf_list
-.LVL752:
-	.loc 1 1406 0
+	.loc 1 1354 0
+	ldr	x0, [x24, 88]
+	adrp	x1, .LC80
+	add	x1, x1, :lo12:.LC80
+	bl	_dev_info
+.LVL761:
+.L771:
+	.loc 1 1387 0
+	adrp	x25, jiffies
+.LVL762:
+	mov	x1, 402653184
+	add	x0, x20, 616
+	ldr	x2, [x25, #:lo12:jiffies]
+	add	x1, x2, x1
+	bl	mod_timer
+.LVL763:
+	.loc 1 1389 0
+	ldr	w0, [x24, 428]
+	cbz	w0, .L778
+	ldr	x0, [x24, 200]
+.L779:
+	.loc 1 1392 0
+	ldr	w2, [x0, 40]
+	ldr	w3, [x28, 40]
+	cmp	w3, w2
+	beq	.L780
+	.loc 1 1393 0
+	ldr	x0, [x24, 88]
+	adrp	x1, .LC82
+	add	x1, x1, :lo12:.LC82
+	bl	_dev_info
+.LVL764:
+	.loc 1 1394 0
+	ldr	w0, [x24, 28]
+	cmp	w0, 1
+	beq	.L898
+.L889:
+	ldr	w2, [x28, 40]
+.L780:
+	.loc 1 1401 0
+	cmp	w2, 11
+	bgt	.L787
+	cmp	w2, 7
+	bge	.L788
+	cmp	w2, 1
+	beq	.L789
+	bgt	.L859
+	cbnz	w2, .L786
+	.loc 1 1446 0
+	add	x0, x21, 624
+	bl	down_write
+.LVL765:
+	.loc 1 1452 0
+	ldr	x0, [x24, 200]
+	.loc 1 1447 0
+	str	x28, [x24, 208]
+	.loc 1 1452 0
+	ldr	w0, [x0, 40]
+	cmp	w0, 1
+	bls	.L823
+	.loc 1 1454 0
+	ldrsw	x2, [x24, 20]
+	ldr	x1, [x28, 16]
+	ldr	x0, [x24, 128]
+	bl	memcpy
+.LVL766:
+	.loc 1 1455 0
+	ldr	x0, [x24, 200]
+	ldrsw	x2, [x24, 20]
+	ldr	x1, [x0, 16]
+	ldr	x0, [x24, 136]
+	bl	memcpy
+.LVL767:
+.L824:
+	.loc 1 1461 0
+	add	x0, x21, 624
+	bl	up_write
+.LVL768:
+	.loc 1 1463 0
+	ldr	w0, [x24, 28]
+	cbz	w0, .L899
+.LVL769:
+	.p2align 2
+.L801:
+	.loc 1 1583 0
+	ldr	x0, [x24, 208]
+	ldr	w0, [x0, 40]
+	cmp	w0, 20
+	beq	.L900
+.L840:
+	.loc 1 1589 0
+	cmp	w0, 18
+	beq	.L901
+.L841:
+	.loc 1 1598 0
 	mov	x0, x28
-	bl	ebc_buf_release
-.LVL753:
+	bl	ebc_remove_from_dsp_buf_list
+.LVL770:
+	.loc 1 1600 0
+	ldr	w0, [x24, 428]
+	cbnz	w0, .L902
+.L842:
+	.loc 1 1603 0
+	mov	w0, 1
+	str	w0, [x24, 428]
+.L843:
+	.loc 1 1605 0
+	ldr	x0, [x24, 208]
+	str	x0, [x24, 200]
 	.loc 1 1334 0
 	ldr	w0, [x24, 600]
-	cbz	w0, .L759
-	.p2align 2
-.L886:
+	cbz	w0, .L767
+.L895:
 	.loc 1 1335 0
 	ldr	w0, [x24, 184]
 	cmp	w0, 1
-	beq	.L889
-.L760:
-	.loc 1 1622 0
+	beq	.L903
+.L768:
+	.loc 1 1628 0
 	add	x22, x22, :lo12:__stack_chk_guard
 	mov	w0, 0
 	ldr	x2, [x29, 216]
 	ldr	x1, [x22]
 	eor	x1, x2, x1
-	cbnz	x1, .L890
+	cbnz	x1, .L904
 	ldp	x19, x20, [sp, 16]
-.LVL754:
+.LVL771:
 	ldp	x21, x22, [sp, 32]
 	ldp	x23, x24, [sp, 48]
-.LVL755:
+.LVL772:
 	ldp	x25, x26, [sp, 64]
-.LVL756:
+.LVL773:
 	ldp	x27, x28, [sp, 80]
-.LVL757:
+.LVL774:
 	ldp	x29, x30, [sp], 224
 	.cfi_remember_state
 	.cfi_restore 30
